> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# احصل على الخطة الحالية

> قم بإرجاع خطة الفوترة الحالية للحساب.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/billing/current-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/current-plan:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: احصل على الخطة الحالية
      description: قم بإرجاع خطة الفوترة الحالية للحساب.
      operationId: >-
        get_public_current_plan_v1_public_accounts__account_id__billing_current_plan_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCurrentPlanResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicCurrentPlanResponse:
      properties:
        billing_period:
          description: فترة الفوترة للخطة الحالية
          title: فترة الفاتورة
          type: string
        can_cancel_plan:
          default: false
          description: ما إذا كان يمكن إلغاء الخطة
          title: يمكن إلغاء الخطة
          type: boolean
        can_change_plan:
          default: false
          description: ما إذا كان يمكن تغيير الخطة
          title: يمكن تغيير الخطة
          type: boolean
        currency:
          description: رمز عملة الفواتير
          title: العملة
          type: string
        plan_id:
          description: معرف خطة الفوترة الحالية
          title: معرف الخطة
          type: string
        plan_name:
          description: اسم خطة الفوترة الحالية
          title: اسم الخطة
          type: string
        price:
          description: سعر الخطة الحالية
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: السعر
          type: string
        status:
          description: حالة الخطة الحالية
          title: الحالة
          type: string
      required:
        - plan_id
        - plan_name
        - billing_period
        - price
        - currency
        - status
      title: PublicCurrentPlanResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````